# Uses of Interface
org.opensaml.saml.saml2.core.NameIDMappingResponse

Packages that use NameIDMappingResponse
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of NameIDMappingResponse in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NameIDMappingResponse
Modifier and Type
Class
Description
`class`
`NameIDMappingResponseImpl`
Concrete implementation of `NameIDMappingResponse`.
Methods in org.opensaml.saml.saml2.core.impl that return NameIDMappingResponse
Modifier and Type
Method
Description
`NameIDMappingResponse`
NameIDMappingResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDMappingResponse`
NameIDMappingResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of NameIDMappingResponse in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type NameIDMappingResponse
Modifier and Type
Method
Description
`private void`
DecryptNameIDs.`processNameIDMappingResponse(ProfileRequestContext profileRequestContext, NameIDMappingResponse response)`
Decrypt any `EncryptedID` found in a NameIDMappingResponse and replace it with the result.
`private void`
EncryptNameIDs.`processNameIDMappingResponse(NameIDMappingResponse response)`
Encrypt a `NameID` found in a NameIDMappingResponse and replace it with the result.